## org.codehaus.groovy.ast.stmt
Class ExpressionStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ExpressionStatement

    public class ExpressionStatement

extends Statement

A simple statement such as a method call where the return value is ignored

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`ExpressionStatement(Expression expression)`

Method Summary
`Expression` `getExpression()`
`String` `getText()`
`void` `setExpression(Expression expression)`
`String` `toString()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionStatement

    public ExpressionStatement(Expression expression)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expression)

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2003-2009 The Codehaus. All rights reserved.